Bug 1049423 - (CVE-2017-11423) VUL-0: CVE-2017-11423: clamav: The cabd_read_string function in mspack/cabd.c in libmspack 0.5alpha, as used inClamAV 0.99.2, allows remote attackers to cause a denial of service
(CVE-2017-11423)
VUL-0: CVE-2017-11423: clamav: The cabd_read_string function in mspack/cabd.c...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/188722/
CVSSv2:SUSE:CVE-2017-11423:1.7:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 11:41 UTC by Victor Pereira
Modified: 2020-07-27 02:07 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2017-07-19 11:41:48 UTC
CVE-2017-11423

The cabd_read_string function in mspack/cabd.c in libmspack 0.5alpha, as used in
ClamAV 0.99.2 and other products, allows remote attackers to cause a denial of
service (stack-based buffer over-read and application crash) via a crafted CAB
file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-11423
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-11423.html
http://www.cvedetails.com/cve/CVE-2017-11423/
https://github.com/hackerlib/hackerlib-vul/tree/master/clamav-vul
https://bugzilla.clamav.net/show_bug.cgi?id=11873
Comment 5 Swamp Workflow Management 2018-01-26 17:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (1049423) was mentioned in
https://build.opensuse.org/request/show/569980 Factory / clamav
Comment 6 Vítězslav Čížek 2018-01-26 17:05:24 UTC
Fixed in version 0.99.3 (in the running maintenance update).
Reassigning to the security team.
Comment 8 Swamp Workflow Management 2018-01-27 17:08:08 UTC
SUSE-SU-2018:0254-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1049423,1052448,1052449,1052466,1077732
CVE References: CVE-2017-11423,CVE-2017-12374,CVE-2017-12375,CVE-2017-12376,CVE-2017-12377,CVE-2017-12378,CVE-2017-12379,CVE-2017-12380,CVE-2017-6418,CVE-2017-6419,CVE-2017-6420
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    clamav-0.99.3-0.20.3.2
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    clamav-0.99.3-0.20.3.2
Comment 9 Swamp Workflow Management 2018-01-27 20:07:25 UTC
SUSE-SU-2018:0255-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1040662,1049423,1052448,1052449,1052466,1077732
CVE References: CVE-2017-11423,CVE-2017-12374,CVE-2017-12375,CVE-2017-12376,CVE-2017-12377,CVE-2017-12378,CVE-2017-12379,CVE-2017-12380,CVE-2017-6418,CVE-2017-6419,CVE-2017-6420
Sources used:
SUSE OpenStack Cloud 6 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server for SAP 12 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-SP3 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-SP2 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Server 12-LTSS (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    clamav-0.99.3-33.5.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    clamav-0.99.3-33.5.1
Comment 10 Swamp Workflow Management 2018-01-28 14:07:09 UTC
openSUSE-SU-2018:0258-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1040662,1049423,1052448,1052449,1052466,1077732
CVE References: CVE-2017-11423,CVE-2017-12374,CVE-2017-12375,CVE-2017-12376,CVE-2017-12377,CVE-2017-12378,CVE-2017-12379,CVE-2017-12380,CVE-2017-6418,CVE-2017-6419,CVE-2017-6420
Sources used:
openSUSE Leap 42.3 (src):    clamav-0.99.3-20.1
Comment 11 Swamp Workflow Management 2018-01-29 16:55:06 UTC
An update workflow for this issue was started.
This issue was rated as important.
Please submit fixed packages until 2018-02-05.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63957
Comment 12 Marcus Meissner 2018-01-31 12:17:12 UTC
released
Comment 13 Swamp Workflow Management 2018-03-14 14:09:07 UTC
An update workflow for this issue was started.
This issue was rated as moderate.
Please submit fixed packages until 2018-03-28.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/63991
Comment 14 Swamp Workflow Management 2018-03-26 13:13:17 UTC
SUSE-SU-2018:0809-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1045315,1049423,1052449,1082858,1083915
CVE References: CVE-2012-6706,CVE-2017-11423,CVE-2017-6419,CVE-2018-0202,CVE-2018-1000085
Sources used:
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    clamav-0.99.4-33.9.1
SUSE Linux Enterprise Server 12-SP3 (src):    clamav-0.99.4-33.9.1
SUSE Linux Enterprise Server 12-SP2 (src):    clamav-0.99.4-33.9.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    clamav-0.99.4-33.9.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    clamav-0.99.4-33.9.1
Comment 15 Swamp Workflow Management 2018-03-27 10:09:55 UTC
openSUSE-SU-2018:0825-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1045315,1049423,1052449,1082858,1083915
CVE References: CVE-2012-6706,CVE-2017-11423,CVE-2017-6419,CVE-2018-0202,CVE-2018-1000085
Sources used:
openSUSE Leap 42.3 (src):    clamav-0.99.4-23.1
Comment 16 Swamp Workflow Management 2018-04-03 19:10:32 UTC
SUSE-SU-2018:0863-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1045315,1049423,1052449,1082858,1083915
CVE References: CVE-2012-6706,CVE-2017-11423,CVE-2017-6419,CVE-2018-0202,CVE-2018-1000085
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    clamav-0.99.4-0.20.7.2
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    clamav-0.99.4-0.20.7.2
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    clamav-0.99.4-0.20.7.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    clamav-0.99.4-0.20.7.2
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    clamav-0.99.4-0.20.7.2